void MB_Ctrl(){
  switch (u8state) {
    //case 0: leitura dos valores do escravo*********************************************************************
    //Para esse exemplo serão lidos 3 valores iniciando no endereço 0 da tabela do escravo
    //e terminando no endereço 2
    //Esses valores serão salvos no array au16data_Read, que foi criado com o tamanho 3
    case 0:
      Comm_MB.u8id = 1;                 //Endereço do escravo na rede
      Comm_MB.u8fct = 3;                //Função de requisição de leitura (código 3)
      Comm_MB.u16RegAdd = 0;            //Endereço de início da leitura na tabela de valores do escravo
      Comm_MB.u16CoilsNo = 3;           //Número endereços a serem lidos no escravo
      Comm_MB.au16reg = au16data_Read;  //Array que irá receber os valores lidos
      master.query(Comm_MB);            //Consolidação e envio da mensagem
      u8state++;                        //Chama o próximo estado de comunicação
    break;

    //case 1: Aguarda a resposta do escravo
    //Caso a resposta não chegue em até 500ms (tempo de time out)
    //A bibloteca contabiliza o erro e segue para a próxima mensagem
    case 1:
      master.poll();                      //Verifica o recebimento de mensagens
      if (master.getState() == COM_IDLE) {
        u8state++;                        //Chama o próximo estado de comunicação
      }
    break;

    //case 2: Escrita dos valores no escravo***********************************************************************
    //Para esse exemplo serão escritos 5 valores iniciando no endereço 3 da tabela do escravo
    //e terminando no endereço 7
    //Esses valores serão enviados do array au16data_Write, que foi criado com o tamanho 5 
    case 2:
      Comm_MB.u8id = 1;                 //Endereço do escravo na rede
      Comm_MB.u8fct = 16;               //Função de requisição de escrita (código 16)
      Comm_MB.u16RegAdd = 3;            //Endereço de início da escrita na tabela de valores do escravo
      Comm_MB.u16CoilsNo = 5;           //Número endereços a serem escritos no escravo
      Comm_MB.au16reg = au16data_Write; //Array que irá enviar os valores a serem escritos
      master.query(Comm_MB);            //Consolidação e envio da mensagem
      u8state++;                        //Chama o próximo estado de comunicação
    break;

    //case 3: Aguarda a resposta do escravo
    //Caso a resposta não chegue em até 500ms (tempo de time out)
    //A bibloteca contabiliza o erro e segue para a próxima mensagem
    case 3:
      master.poll();                      //Verifica o recebimento de mensagens
      if (master.getState() == COM_IDLE) {
        u8state = 0;                      //Chama o próximo estado de comunicação
      }
    break;
  }
}
