//Software exemplo para comunicação Modbus Master
//Será utilizada a interface RS485, mas
//também pode ser utilizado com TTL ou RS232

//Chamada da biblioteca
#include "ModbusRtu.h"

//Pinos auxiliares
#define ENTX_pin 2 //Pino de comunicação RS485

//Configuração da biblioteca Modbus como Mestre
//ID , porta serial , Pino fluxo
Modbus master(0,Serial2, ENTX_pin); //Configuração da porta de comunicação
uint8_t u8state = 0;                //Estado de controle da comunicação
modbus_t Comm_MB;                   //Nomeação da estrutura de comunicação
unsigned long u32wait = 0;          //Contador de tempo para chamada da função (não é necesário para softwares que tenham ciclos maiores que 1ms)
uint16_t au16data_Write[5];         //Array para escrita no escravo
uint16_t au16data_Read[3];          //Array para leitura do escravo

#include "MB_Ctrl.h"

void setup() {
  //Setup das seriais
  Serial.begin(115200);   //USB
  master.begin(115200);   //RS485
  master.setTimeOut(500); //Time out em caso de falha na comunicação

  //Inicializa hardware
  pinMode(ENTX_pin, OUTPUT);

}

void loop() {
  //Chamada da funçõe
  if (millis() > u32wait){
    MB_Ctrl();
    u32wait = millis();
  }
  
}
